#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class SidfmdQueueLapp < ActiveRecord::Base
  belongs_to :sidfmd_queue

  # 表示用の名称を出力する。
  # SidfmdHostApp#get_nameと同じになるようにすること。
  def get_name
    ret = nil
    if version_id then
      ver = SidfmdVersion.where(:vid => version_id).first
      if ver then
        ret = ver.fullname
      end
    elsif product_id then
      prod = SidfmdProduct.where(:pid => product_id).first
      if prod then
        ret = prod.name
      end
    end
    ret
  end

end
