#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class ModSidfmHosts3 < ActiveRecord::Migration
  def change

    reversible do |dir|
      change_table :sidfm_hosts do |t|
        dir.down {
          t.string :hostgroup_id
          t.string :hostgroup
          t.remove :project_id
        }
        dir.up {
          t.remove :hostgroup_id
          t.remove :hostgroup
          t.references :project, :index, true
        }
      end
    end

  end
end
